import matplotlib.pyplot as plt

def store_input(file_name):
    """
    This function will read the input values from the file
    and store them in a list of lists (matrix).
    :param file_name:
    :return:
    """

    # Create a new file object
    input_file_object = open(file_name, "r")

    # Create empty matrix
    input_matrix = []

    # Loop over the lines in the input file
    # Each line will be one row of the matrix
    for line in input_file_object:

        # Create empty row
        row = []

        # Look for the comma in each line and split the string
        # This will return an array of strings
        split_result = line.split(',')

        # Get the integer value of the strings and
        # add it to the row
        for value in split_result:
            row.append(int(value))

        # Append the row
        input_matrix.append(row)

    return input_matrix

def concatenate_data(employment):
    # function creates an array to plot x values continuously
    employment_data = []
    for i in range(0, len(employment)):
        for j in range(0, len(employment[i])):
            employment_data.append(employment[i][j])
    return employment_data



# Create a list (matrix) using the store_input function
# Print the matrix
employmentdata = store_input("employmentdata.txt")
employment_data = concatenate_data(employmentdata)
print(employmentdata)

employment_months = []
for i in range(0, len(employmentdata)):
   for month in range(1,13):
       employment_months.append(month + (12 * i))
print (employment_months)


# Plot updated data
plt.plot(employment_months, employment_data)

plt.xlabel("years")
plt.ylabel("Number of those employed in thousands")
plt.title("Employment in Manufacturing industry")
years_lables = ["1995", "2000", "2005", "2010", "2015", "2020"]
xticks_array = []
for year in range(0, 6):
    xticks_array.append((year*12*5)+ 12)
print(xticks_array)
plt.xticks(xticks_array, years_lables)

plt.show()
