import matplotlib.pyplot as plt

def print_file_contents(file_name):
    """
    Use this function to print the contents of
    an input file.
    :param file_name:
    :return:
    """

    input_file_object = open(file_name, "r")
    for line in input_file_object:
        print(line, end='')

    print()


def store_input(file_name):
    """
    This function will read the input values from the file
    and store them in a list of lists (matrix).
    :param file_name:
    :return:
    """

    # Create a new file object
    input_file_object = open(file_name, "r")

    # Create empty matrix
    input_matrix = []

    # Loop over the lines in the input file
    # Each line will be one row of the matrix
    for line in input_file_object:

        # Create empty row
        row = []

        # Look for the comma in each line and split the string
        # This will return an array of strings
        split_result = line.split(',')

        # Get the integer value of the strings and
        # add it to the row
        for value in split_result:
            row.append(float(value))

        # Append the row
        input_matrix.append(row)

    return input_matrix

d = store_input('productivitydata.txt')

plt.plot(d[0], d[1], label= "Percent of Productivity Change", color= "m")

plt.xlabel("Years")
plt.ylabel("Quantities")
plt.title("Productivity levels in Manufacturing")
plt.legend()

plt.show()