import matplotlib.pyplot as plt
import numpy

def store_input(file_name):

    # Create a new file object
    input_file_object = open(file_name, "r")

    # Create empty matrix
    input_matrix = []

    # Loop over the lines in the input file
    # Each line will be one row of the matrix
    for line in input_file_object:

        # Create empty row
        row = []

        # Look for the comma in each line and split the string
        # This will return an array of strings
        split_result = line.split(',')

        # Get the integer value of the strings and
        # add it to the row
        for value in split_result:
            row.append(float(value))

        # Append the row
        input_matrix.append(row)

    return input_matrix


def months_quarters(unemployment_months):
    # function changes the format of the data of each year into four quarters
    # which consists of the first three months, second three months, and fourth three months of a year
    store_years_quarterly = []
    for year in unemployment_months:
        quarter_1 = (year[0]+year[1]+year[2])/3
        quarter_2 = (year[3]+year[4]+year[5])/3
        quarter_3 = (year[6] + year[7] + year[8]) / 3
        quarter_4 = (year[9] + year[10] + year[11]) / 3
        store_years_quarterly.append(quarter_1)
        store_years_quarterly.append(quarter_2)
        store_years_quarterly.append(quarter_3)
        store_years_quarterly.append(quarter_4)
    return store_years_quarterly

def concatenate_data(robot_orders):
    # function creates an array to plot x values continuously
    industrial_robot = []
    for i in range(0, len(robot_orders)):
        for j in range(0, len(robot_orders[i])):
            industrial_robot.append(robot_orders[i][j])
    return industrial_robot


robotord =store_input('industrial_robot_orders.txt')
unemployment =store_input('unemployment_rate_15_18.txt')
print(robotord)
print(unemployment)
store_years_quarterly = months_quarters(unemployment)
print(store_years_quarterly)
industrial_robot = concatenate_data(robotord)
print(industrial_robot)

figure, axis = plt.subplots()
axis.plot(industrial_robot, color = 'm')
axis2 = axis.twinx()
axis2.plot(store_years_quarterly)
axis.set_ylabel('Amount of Industrial Robots Ordered', color = 'm')
axis2.set_ylabel('Unemployment Rate in Percent', color = 'b')
plt.xlabel('Years')
plt.xticks([0,4,8,12], ['2015', '2016', '2017', '2018'])
plt.title("Comparison Between Unemployment Rates and Industrial Robot Orders")
plt.show()

plt.scatter(industrial_robot, store_years_quarterly)
plt.title("Industrial robot orders and unemployment rate")
plt.xlabel("industrial robot orders")
plt.ylabel("unemployment rate percentage")
robotandunemployment = numpy.poly1d(numpy.polyfit(industrial_robot, store_years_quarterly, 1))
plt.plot(industrial_robot, robotandunemployment(industrial_robot))
plt.scatter(7876, 3.03, color = 'g')
plt.scatter(8572, 2.7, color = 'g')
# plot actual values
plt.scatter(7876, robotandunemployment(7876), color = 'm')
plt.scatter(8572, robotandunemployment(8572), color = 'm')
# plot predicted values
plt.show()

